## **Deckster**
A service to manage your Streamdeck easily on Linux

---
### **Features**
- Push or Toggle buttons
- Supports pages
- Timer actions
- Support JSON and YAML key configs
- Builtin functions:
  - GET Request
    - Send result to label or image
  - POST Request
  - Play audio file
  - Execute a shell command
- Customizable labels
- Use icons or text

### **Quickstart**
- `pip install deckster-sd`
- Confirm the directories configuration in `~/config.json`
- Edit your keys in the defined `keys_dir`
- Run `deckster`

### **Documentation**
- [Installation](install.md)
- [Configuration](config.md)
- [Builtin Plugins](builtins.md)
- [Custom Plugins](plugins.md)

Built with [Dean Camera](https://github.com/abcminiuser/)'s awesome [Streamdeck](https://pypi.org/project/streamdeck/) library.

